Subject: bug#18914: 2.0.11 REPL server listens on 127.0.0.1 but not "localhost"

From: Andy Wingo <[email-masked]>
Date: Tue, 12 Jul 2016 09:17:44 +0200

On Wed 22 Jun 2016 10:32, Andy Wingo <[email-masked]> writes:

> Works for me, with Guile 2.0.11 also.  Could it be that "nc" is trying
> to connect to an IPv6 address?

Pretty sure that's what's going on here.  When Guile makes server
sockets, it assumes it should listen on a single family/address/port
triple.  Specifically for INADDR_LOOPBACK that's going to be IPv4
127.0.0.1 and not IPv6 at all.  Probably we should use getaddrinfo if
the user supplies a "host", and use that to plumb through a list of
addresses on which to bind (and/or connect).

Andy